/*
 *  $Id: FibonacciLoop.cpp,v 1.1.1.1 2002/11/09 15:43:49 omalley Exp $ 
 *  Copyright (c) 2002 Kevin O'Malley. All rights reserved.
 *
 *  Example program from "Programming Mac OS X: A Guide for
 *  UNIX Developers" by Kevin O'Malley, Manning Publishing
 *  2002.
 */
#include "FibonacciLoop.h"

/*
 Loop (iterative) implementation of the Fibonacci
 number series generator.
 */
long
Fibonacci(long n)
{
  if (n == 0)
    return 0;

  long x = 1;
  long y = 0;
  long z = 0;
  for (long i=1; i<n; i++) {
    z = x;
    x += y;
    y = z;
  }
  return x;
}
