/*
 *  $Id: DownloadController.h,v 1.1.1.1 2002/11/09 15:44:02 omalley Exp $
 *  Copyright (c) 2002 Kevin O'Malley. All rights reserved.
 *
 *  Example program from "Programming Mac OS X: A Guide for
 *  UNIX Developers" by Kevin O'Malley, Manning Publishing
 *  2002.
 */
#import <Cocoa/Cocoa.h>
#import "WGetParameters.h"

@interface DownloadController : NSObject
{
    IBOutlet NSTextField *concatFilesTo;
    IBOutlet NSTextField *limitDownloadSizeTo;
    IBOutlet NSPopUpButton *limitDownloadSizeType;
    IBOutlet NSButton *noDirCreateOnDownload;
    IBOutlet NSButton *noFilesUnlessNewerThanLocal;
    IBOutlet NSButton *noHostnamePrefix;
    IBOutlet NSPopUpButton *nRetries;
    IBOutlet NSTextField *outputDir;
    IBOutlet NSButton *overwriteFiles;
    IBOutlet NSPopUpButton *pauseBetweenRetrievals;
    IBOutlet NSButton *printServerResponse;
    IBOutlet NSButton *proxyOn;
    IBOutlet NSPopUpButton *removeNDirComponent;
    IBOutlet NSButton *resumeDownload;
    IBOutlet NSButton *spider;
    IBOutlet NSPopUpButton *waitBetweenFailedRetrievals;
}
- (IBAction)handleSetConcatTo:(id)sender;
- (IBAction)handleSetOutputDir:(id)sender;
- (IBAction)reset:(WGetParameters *)param;
- (void)getParameters:(WGetParameters *)param;
@end
