/*
 *  $Id: HtmlFtpController.h,v 1.1.1.1 2002/11/09 15:44:02 omalley Exp $
 *  Copyright (c) 2002 Kevin O'Malley. All rights reserved.
 *
 *  Example program from "Programming Mac OS X: A Guide for
 *  UNIX Developers" by Kevin O'Malley, Manning Publishing
 *  2002.
 */
#import <Cocoa/Cocoa.h>
#import "WGetParameters.h"

@interface HtmlFtpController : NSObject
{
  IBOutlet NSButton *addHtmlExt;
  IBOutlet NSTextField *agentString;
  IBOutlet NSForm *cookiesForm;
  IBOutlet NSButton *disableCookies;
  IBOutlet NSButton *disablePersistentHtml;
  IBOutlet NSButton *disableServerCache;
  IBOutlet NSButton *doNotRemoveListingFile;
  IBOutlet NSButton *getFilesfromRemoteSite;
  IBOutlet NSForm *headersForm;
  IBOutlet NSButton *ignoreContentLengthHeader;
  IBOutlet NSButton *retierveFilesfromLinks;
  IBOutlet NSButton *saveHeaders;
  IBOutlet NSButton *turnOffWildcards;
  IBOutlet NSButton *usePassiveFtp;
}
- (IBAction)handleSaveCookies:(id)sender;
- (IBAction)handleSetLoadCookies:(id)sender;
- (IBAction)reset:(WGetParameters *)param;
- (void)getParameters:(WGetParameters *)param;

  enum CookiesForm {
  Log = 0,
  Save
};

enum HeadersForm {
  Define = 0,
  Include
};
@end
