/*
 *  $Id: WGetParameters.h,v 1.1.1.1 2002/11/09 15:44:02 omalley Exp $
 *  Copyright (c) 2002 Kevin O'Malley. All rights reserved.
 *
 *  Example program from "Programming Mac OS X: A Guide for
 *  UNIX Developers" by Kevin O'Malley, Manning Publishing
 *  2002.
 */
#import <Foundation/Foundation.h>


@interface WGetParameters : NSObject {
  NSMutableDictionary *data;
  NSMutableString *cmdLine;
}

- (NSString *)getValue:(NSString *)key;
- (void)setValue:(NSString *)key: (NSString *)value;
- (void)printData;
- (NSMutableArray *)getData;
- (NSMutableString *)getCommandLine;

- (void)formatCommandLine;
- (void)saveData:(NSString *)fname;
- (void)loadData:(NSString *)fname;
- (void)initToDefaults;
@end
