/*
 *  $Id: FibonacciRecursive.cpp,v 1.1.1.1 2002/11/09 15:43:50 omalley Exp $ 
 *  Copyright (c) 2002 Kevin O'Malley. All rights reserved.
 *
 *  Example program from "Programming Mac OS X: A Guide for
 *  UNIX Developers" by Kevin O'Malley, Manning Publishing
 *  2002.
 */
#include "FibonacciRecursive.h"

/*
 Recursive implementation of the Fibonacci number series
 generator.
 */
long
Fibonacci(long n)
{
  if (n == 0)
    return 0;
  
  if ( (n == 1) || (n == 2) )
    return 1;

  return Fibonacci(n-1) + Fibonacci(n-2);
}