/*
 *  $Id: main.cpp,v 1.2 2003/01/05 12:43:01 omalley Exp $
 *  Copyright (c) 2002 Kevin O'Malley. All rights reserved.
 *
 *  Example program from "Programming Mac OS X: A Guide for
 *  UNIX Developers" by Kevin O'Malley, Manning Publishing
 *  2002.
 */
#include <iostream>
#include <string>
#include <map>

using namespace std;
map<int, string, less<int> > activeBids;

void
AddBid(int ownerID, char * const bidStr)
{
  if (bidStr == NULL)
    return;

  string s = bidStr;
  activeBids [ownerID] = s;
}


int
main (int argc, const char * argv[])
{
  map<int, string> bids;

  AddBid(1, "1,1,12.99");
  AddBid(3, "3,1,42");
  AddBid(7, "4,1,3.14");

  // Print the result.
  for(map<int, string, less<int> >::iterator it = activeBids.begin();
      it != activeBids.end(); it++) {
    cout << "Key: " << (*it).first << " for value: " << (*it).second << endl;
  }
  return 0;
}
