/*
 *  $Id: main.m,v 1.1.1.1 2002/11/09 15:43:57 omalley Exp $
 *  Copyright (c) 2002 Kevin O'Malley. All rights reserved.
 *
 *  Example program from "Programming Mac OS X: A Guide for
 *  UNIX Developers" by Kevin O'Malley, Manning Publishing
 *  2002.
 */
#import <Cocoa/Cocoa.h>
#import "auction.h"

int
main(int argc, const char *argv[]) {
  NSAutoreleasePool * pool = [[NSAutoreleasePool alloc] init];
  auction *anAuction = [[auction alloc] init];

  [anAuction addBid:@"1":@"1,1,12.99"];
  [anAuction addBid:@"3":@"3,1,42"];
  [anAuction addBid:@"4":@"4,1,3.14"];

  [anAuction print];
  
  [anAuction release];
  [pool release];
  return 0;
}
