/*
 *  $Id: AppSupport.h,v 1.1.1.1 2002/11/09 15:44:02 omalley Exp $
 *  Copyright (c) 2002 Kevin O'Malley. All rights reserved.
 *
 *  Example program from "Programming Mac OS X: A Guide for
 *  UNIX Developers" by Kevin O'Malley, Manning Publishing
 *  2002.
 */
#import <Cocoa/Cocoa.h>
#import <Foundation/Foundation.h>


@interface AppSupport : NSObject {

}

+ (NSString *) getFilename:(NSString *)title;
+ (NSString *) getDirectory:(NSString *)title;
+ (void)setStatusMsgWithDate:(NSTextView *)statusField theMsg:(NSString *)msg;
+ (NSString *)getSaveFile:(NSString *)title;
+ (void)scrollStatus:(NSTextView *)statusField;
@end
