/*
 *  $Id: MyTask.h,v 1.1.1.1 2002/11/09 15:44:02 omalley Exp $
 *  Copyright (c) 2002 Kevin O'Malley. All rights reserved.
 *
 *  Example program from "Programming Mac OS X: A Guide for
 *  UNIX Developers" by Kevin O'Malley, Manning Publishing
 *  2002.
 */
#import <Foundation/Foundation.h>

@interface MyTask : NSObject {
  NSTask *task;
	id m_taskName;
	id m_directory;
	id m_args;
	int m_exitStatus;
  NSMutableString *m_taskOutput;
}

- (void)runTask:(NSString *)taskName
    theDirectory:(NSString *)dir
       theArgs:(NSMutableArray *)args
       getOutputFrom:(int)outType;
- (id) name;
- (id) directory;
- (NSMutableString *) output;
- (id) args;
- (int) exitStatus;
@end
